Description

DOES NOT REQUIRE previous patches! Install directly after the main THB release. Can also be installed on top of patched THB. Changelog in the description and with the patch. Click "read more +" for download mirrors and the changelog. Please make sure the get the hotfix!

Preview
Ultimate Apocalypse - THB Patch v1.83
Comments
Jerkakame
Jerkakame - - 819 comments

chaos daemons got buffed? waow

does the free place turret addon work for this?

Reply Good karma Bad karma+3 votes
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

Nope, i don't know when that addon will work.

Reply Good karma+2 votes
Guest
Guest - - 695,039 comments

Is it possible to get this on DoW Dark Crusade Cause it looks like a really cool mod And I saw a vid of the imperial guard vs tyranids and it was pretty slick

Reply Good karma Bad karma0 votes
Duckr
Duckr - - 3 comments

Sadly its JUST soulstorm.

Reply Good karma Bad karma+1 vote
Fast_Train
Fast_Train - - 593 comments

Finally, Chaos Sorcerer nerf.

Reply Good karma Bad karma+2 votes
Fry_Kickstart
Fry_Kickstart - - 342 comments

So, is this the Version where the Campaign is activated?

Reply Good karma Bad karma+1 vote
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

No.

Reply Good karma+2 votes
Fry_Kickstart
Fry_Kickstart - - 342 comments

Ok, so with witch Version you will add it?

Reply Good karma Bad karma+2 votes
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

I don't know. When Cylarne gets back the campaign may be worked on.

Reply Good karma+2 votes
Fry_Kickstart
Fry_Kickstart - - 342 comments

Will this be the Campaign from the Vanilla-Game or something else?

Reply Good karma Bad karma+2 votes
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

Currently, the campaign hasn't been decided. So you'll have to wait.

Reply Good karma+2 votes
Atzerri
Atzerri - - 89 comments

it wont be for awhile ether if they do start on it, it will probably take just as long as THB completion. SInce campaign is bound to have more bugs then the skirmish matchs and mutiplayer. So dont expect it to come out anytime soon.

Reply Good karma Bad karma+2 votes
Zeksi42
Zeksi42 - - 19 comments

hi listen after installing this new patch my mod manager can't activate UA THB mod. PLS HELP MY.

Reply Good karma Bad karma+2 votes
redar2013
redar2013 - - 45 comments

Bug with sternguard's combi-weapons is not fixed(

Reply Good karma Bad karma+3 votes
henry1212
henry1212 - - 5 comments

Will there ever be Campaign support?

Reply Good karma Bad karma+2 votes
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

Eventually.

Reply Good karma+1 vote
ASFCommander
ASFCommander - - 10 comments

You should mention that you have to be logged in order to download it since there's no other mirrors.

Reply Good karma Bad karma0 votes
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

There's mirrors in the description.

Reply Good karma+1 vote
El_Gobernador
El_Gobernador - - 14 comments

In the THB original the other conscripts are best, more original, and different, in this patch come again the other conscripts, no like :/ .... bring the other conscripts please :/

Reply Good karma Bad karma+1 vote
Crimson_Wolf
Crimson_Wolf - - 5 comments

Okay there is something I am wondering, thinking it is a bug. So one of the necron units zaps my commander with an ability. Said unit no long able to move, and takes continuous damage until it dies unable to stop this.

Reply Good karma Bad karma+2 votes
Order666
Order666 - - 16 comments

help for some reason i cant get patch 1.83 to work
i tryed a clean reinstall of UA but still i cant get patch 1.83 to work
i use the patch 1.83 exe to install it into my UA THB folder and it installs it but when i go into the game, it still is 1.80

Reply Good karma Bad karma+1 vote
Kairos_(Necronguy) Author
Kairos_(Necronguy) - - 690 comments

You don't install into your THB folder that's why. Just direct the installer to your Soulstorm directory and let it overwrite any files. Then the patch should work.

Reply Good karma+1 vote
Order666
Order666 - - 16 comments

i did just as you said but its still showing me the version 1.8.0

Reply Good karma Bad karma+2 votes
Guest
Guest - - 695,039 comments

when my monolith stands still it takes damage wtf

Reply Good karma Bad karma+1 vote
Guest
Guest - - 695,039 comments

This comment is currently awaiting admin approval, join now to view.

PMC1945
PMC1945 - - 1 comments

v1.83 with the new factions fails to activate. I downloaded the patch as well, extracted to Soulstorm Directory. THB v1.83 works but does not included the Tyranids or any other new factions. Please help.

Reply Good karma Bad karma+2 votes
punkbuzter
punkbuzter - - 3 comments

Same problem here.

Reply Good karma Bad karma+2 votes
punkbuzter
punkbuzter - - 3 comments

Can't get it to work apparantly. Dunno what I could possibly have done wrong.

Installed game, updated 1.10 and 1.20
Installed UA MOD 1.83 into the game dir, extracted the hotfix
Allowed >2GB address space in CFF
Launched as Admin

Game starts fine but when activating the mod in-game the game tells me:
"Failed to activate the requested game".

Reply Good karma Bad karma+2 votes
punkbuzter
punkbuzter - - 3 comments

And my file structure seems intact.
Postimg.org

Reply Good karma Bad karma+2 votes
Sn4rk
Sn4rk - - 529 comments

Same here...

Reply Good karma Bad karma+1 vote
Guest
Guest - - 695,039 comments

This comment is currently awaiting admin approval, join now to view.

Phail
Phail - - 3 comments

no mirrors available? :(

Reply Good karma Bad karma+1 vote
Guest
Guest - - 695,039 comments

This comment is currently awaiting admin approval, join now to view.

SpoonGuy
SpoonGuy - - 40 comments

is there ever going to be a restricted air units for the A.i as well ?

Reply Good karma Bad karma+1 vote
Guest
Guest - - 695,039 comments

This comment is currently awaiting admin approval, join now to view.

harry26548
harry26548 - - 3 comments

I have installed it completely correctly, it doesn't work. I can send a log if need be

Reply Good karma Bad karma+1 vote
Guest
Guest - - 695,039 comments

This comment is currently awaiting admin approval, join now to view.

Guest
Guest - - 695,039 comments

Cant be imperial guard, tau, or necrons...

Reply Good karma Bad karma0 votes
Metalbeard
Metalbeard - - 2 comments

thats the exact same problem I am experiencing if I try to do multiplayer. I also cant see my friend's games to join... idk if I missed a small detail somewhere or something

Reply Good karma Bad karma+1 vote
Posterus96
Posterus96 - - 334 comments

Do you guys have the other Dawn of War games? In order to play as the races in multiplayer, you need Dawn of War for the Space Marines, Chaos Space Marines, Orks, and Eldar; you need Winter Assault for the Imperial Guard; you need Dark Crusade for the Tau and Necrons; you need Soulstorm for the Sisters of Battle and Dark Eldar; and finally you need the Ultimate Apocalypse mod for the the Tyranids, Inquisition DaemonHunters, and the Chaos Daemons.

Reply Good karma Bad karma+1 vote
Metalbeard
Metalbeard - - 2 comments

Actually I figured out the issue. To answer the question yes I do have all the dawn of war games and I installed all the correct mod files. Turns out my issue was that when I installed the games on steam it didnt have every file so what I did was - verify game cashe - through steam by right clicking the game --> properties -- > local tab (or whatever it should be the 2nd or 3rd tab) --> and clicking the verify game cashe on all 4 dawn of war games and it fixed my problem along with my friends. Forgive me if I misspelled something in the message but I believe the spelling should be close enough to understand the message. Hope anyone else having this problem finds this reply useful!

Reply Good karma Bad karma+1 vote
uncoolscarab928
uncoolscarab928 - - 8 comments

I am having trouble downloading it because instead of it downloading as an .exe file (like it says) it downloads it as an 1[83] file, help?

Reply Good karma Bad karma+1 vote
Jayhell6
Jayhell6 - - 71 comments

objective_points_UA missing
inquisition_daemonhuntSS missing
PLS help

Reply Good karma Bad karma+1 vote
Joumba
Joumba - - 2 comments

I guess you are also using The mod manager posted by the author right? Its neat.For inquisition_daemonhuntSS, just download the file, you can find the link somewhere on Ua pages. If you already downloaded it...well I don't know.

As for objective_points_UA I have to same problem and can't find a solution. If somebody can help us poor wanderes, please do ;).

Reply Good karma Bad karma+1 vote
_Christoph_
_Christoph_ - - 11 comments

If somebody can't play online, i find out that you can use the.cmd file:
Play_Ultimate_Apocalypse_THB_New_Races
in: C:\Program Files (x86)\Steam\steamapps\common\Dawn of War Soulstorm.
Both must start the .cmd file and you got an error message, but ignore this the game starts normally over steam (message will be there on the screen than select yes)

Reply Good karma Bad karma+1 vote
NickehBoi
NickehBoi - - 10 comments

I can't build any of the Necron titans, they all require the Ork resource which as you know, is not a part of the Necrons, is it possible to fix this? Other then that, the mod is great so far, haven't encountered any bugs besides this one.

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.